Talk about being an Elder

Required Game Pack: Base Game Compatible
Other Requirements: XML Injector

To use this interaction, the Sim must be an Elder and you can find the autonomous interaction under the friendly pie-menu. When used it will give you this buff:

Download Here

Leave a Reply